import { message } from 'ant-design-vue'

/**
 * 此 TypeScript 函数创建一个临时输入元素，将其值设置为给定字符串，将值复制到剪贴板，然后删除输入元素。
 * @param {string} content - content 参数是一个字符串，表示需要复制到剪贴板的文本。
 */
export const useCopy = (content: string) => {
  const inputValue = document.createElement('input')
  document.body.appendChild(inputValue)
  inputValue.value = content
  inputValue.select()
  document.execCommand('copy')
  message.success('复制成功')
  document.body.removeChild(inputValue)
}
